Subject: Re: bug#9226: 23.3; [rgrep]; (matches found) ?

From: Glenn Morris <[email-masked]>
Date: Wed, 10 Aug 2011 03:16:00 -0400

Dave Abrahams wrote:

> Why does emacs tell me "matches found" when none actually were?

Because it uses the exit status of the "grep" command to decide whether
matches were found. For standalone grep, an exit status of 0 means
matches were found; but for "find -exec grep", an exit status of 0 just
means "all files were processed successfully". There isn't any way to
determine whether the grep in a "find -exec grep" succeeded based on
exit status alone, therefore this Emacs feature as implemented cannot
work for rgrep. With "find | xargs grep" it will do slightly better, but
still report "exited abnormally" for the case of a grep that ran fine,
but did not find any matches.